AquaMapsService
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl
Class AquaMapsService

    java.lang.Object
      GCUBEPortType
          org.gcube.application.aquamaps.aquamapsservice.impl.AquaMapsService

    public class AquaMapsService

extends GCUBEPortType

Constructor Summary
`AquaMapsService()`

Method Summary
`FieldArray` | `calculateEnvelope(CalculateEnvelopeRequestType req)`
`FieldArray` | `calculateEnvelopefromCellSelection(CalculateEnvelopefromCellSelectionRequestType request)`
`int` | `deleteSubmitted(StringArray submittedIds)`
`java.lang.String` | `getAquaMapsPerUser(GetAquaMapsPerUserRequestType arg0)`
`AquaMap` | `getObject(int arg0)`
`java.lang.String` | `getOccurrenceCells(GetOccurrenceCellsRequestType request)`
`java.lang.String` | `getPhylogeny(GetPhylogenyRequestType req)`
`org.gcube.application.aquamaps.datamodel.Resource` | `getResourceInfo(org.gcube.application.aquamaps.datamodel.Resource myResource)`
`java.lang.String` | `getResourceList(GetResourceListRequestType req)`
`java.lang.String` | `getSpeciesByFilters(GetSpeciesByFiltersRequestType req)` return a list of species filtered by 3 groups of filters (species characteristics OR species names OR species codes)
`java.lang.String` | `getSpeciesByFiltersASCSV(GetSpeciesByFiltersRequestType arg0)`
`FieldArray` | `getSpeciesEnvelop(GetSpeciesEnvelopeRequestType arg0)`
`org.gcube.application.aquamaps.datamodel.Submitted` | `loadSubmittedById(int arg0)`
`VOID` | `markSaved(StringArray ids)`
`java.lang.String` | `submitJob(org.gcube.application.aquamaps.datamodel.Job req)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AquaMapsService

    public AquaMapsService()

Method Detail

### getPhylogeny

    public java.lang.String getPhylogeny(GetPhylogenyRequestType req)
                                  throws GCUBEFault

  Throws:
    `GCUBEFault`

### deleteSubmitted

    public int deleteSubmitted(StringArray submittedIds)
                        throws GCUBEFault

  Throws:
    `GCUBEFault`

### calculateEnvelope

    public FieldArray calculateEnvelope(CalculateEnvelopeRequestType req)
                                 throws GCUBEFault

  Throws:
    `GCUBEFault`

### calculateEnvelopefromCellSelection

    public FieldArray calculateEnvelopefromCellSelection(CalculateEnvelopefromCellSelectionRequestType request)
                                                  throws GCUBEFault

  Throws:
    `GCUBEFault`

### getOccurrenceCells

    public java.lang.String getOccurrenceCells(GetOccurrenceCellsRequestType request)
                                        throws GCUBEFault

  Throws:
    `GCUBEFault`

### submitJob

    public java.lang.String submitJob(org.gcube.application.aquamaps.datamodel.Job req)
                               throws GCUBEFault

  Throws:
    `GCUBEFault`

### getSpeciesEnvelop

    public FieldArray getSpeciesEnvelop(GetSpeciesEnvelopeRequestType arg0)
                                 throws GCUBEFault

  Throws:
    `GCUBEFault`

### getSpeciesByFilters

    public java.lang.String getSpeciesByFilters(GetSpeciesByFiltersRequestType req)
                                         throws GCUBEFault

  return a list of species filtered by 3 groups of filters (species characteristics OR species names OR species codes)

  Parameters:
    `req` -
  Returns:
  Throws:
    `GCUBEFault`

### getResourceInfo

    public org.gcube.application.aquamaps.datamodel.Resource getResourceInfo(org.gcube.application.aquamaps.datamodel.Resource myResource)
                                                                      throws GCUBEFault

  Throws:
    `GCUBEFault`

### getResourceList

    public java.lang.String getResourceList(GetResourceListRequestType req)
                                     throws GCUBEFault

  Throws:
    `GCUBEFault`

### getAquaMapsPerUser

    public java.lang.String getAquaMapsPerUser(GetAquaMapsPerUserRequestType arg0)
                                        throws GCUBEFault

  Throws:
    `GCUBEFault`

### markSaved

    public VOID markSaved(StringArray ids)
                   throws GCUBEFault

  Throws:
    `GCUBEFault`

### loadSubmittedById

    public org.gcube.application.aquamaps.datamodel.Submitted loadSubmittedById(int arg0)
                                                                         throws java.rmi.RemoteException,
                                                                                GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getObject

    public AquaMap getObject(int arg0)
                      throws java.rmi.RemoteException,
                             GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getSpeciesByFiltersASCSV

    public java.lang.String getSpeciesByFiltersASCSV(GetSpeciesByFiltersRequestType arg0)
                                              throws java.rmi.RemoteException,
                                                     GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD